import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();

    Student student = new Student();
    student.setId(1);
    student.setName("name");
    Address addr = new Address();
    addr.setStreet("street1");
    addr.setCity("city1");
    addr.setState("state1");
    addr.setZip("asdfasdf");
    student.setAddress(addr);
    em.persist(student);
    

    Company c = new Company();
    c.setName("III");
    addr = new Address();
    addr.setStreet("street2");
    addr.setCity("city2");
    addr.setState("state2");
    addr.setZip("asdfasdf");
    c.setAddress(addr);
    em.persist(c);
    
    
    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}